Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451913 - Automate generation of FOP configuration files
Summary: Automate generation of FOP configuration files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 1.6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 03:12 UTC by Jeff Fearn 🐞
Modified: 2010-11-24 04:18 UTC (History)
2 users (show)

Fixed In Version: 0.34
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 05:35:44 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2008-06-18 03:12:38 UTC
Currently there are separate fop files (conf, font metrics) for each version of
FOP and each version of the O/S. These files need to be created when publican is
built instead of being pre-generated.

Supported O/S: rhel4, rhel5, fc9, rawhide
Supported FOP: 0.20, 0.95beta

Files that need auto-generation:
 1. fop.conf
 2. font-metrics/*.xml (one per font)
 3. pickfont.xsl (needs xsl:import in pdf.xsl)

pickfont.xsl needs to override these templates:
 1. pickfont-sans
 2. pickfont-serif
 3. pickfont-mono

Spec file needs to be able to set the correct Requires and BuildRequires for
each O/S.

FOP 0.20 support will be dropped for O/S >= rhel5 since FOP 0.95beta has been
built in brew.

FOP has not been built for epel4 or epel5 so integration needs to be disabled
for those builds until FOP is available in those repositories.

Comment 1 Jeff Fearn 🐞 2008-06-23 05:35:44 UTC
Added script to generate FOP font-metrics files and fop.xconf file at build time.


Note You need to log in before you can comment on or make changes to this bug.